%define pkg  automake
%define maj  1
%define min  9
%define rel  3
%define acm  2
%define aci  59
%define acv  %{acm}.%{aci}

Summary:     A tool for automatically generating Makefiles
Name:        %{pkg}%{maj}%{min}
Version:     %{maj}.%{min}.%{rel}
Release:     2.pp
License:     GPL
Group:       Development/Tools
Source0:     ftp://ftp.gnu.org/gnu/%{pkg}/%{pkg}-%{version}.tar.bz2
URL:         http://www.gnu.org/software/%{pkg}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl autoconf%{acm}%{aci}
Provides:    %{name}.pp %{pkg}
Prereq:      /bin/bash
BuildPrereq: perl /bin/mkdir /usr/bin/make /usr/bin/install autoconf%{acm}%{aci}
BuildArch:   noarch
ExclusiveOS: linux


%description
Automake is a tool for automatically generating Makefiles compliant
with the GNU Coding Standards. It was inspired by the 4.4BSD make and
include files, but aims to be portable and to conform to the GNU
standards for Makefile variables and targets. Automake is a Perl
script. The input files are called Makefile.am. The output files are
called Makefile.in; They are intended for use with Autoconf. Automake
requires certain things to be done in your configure.in. This package
also includes the "aclocal" program. aclocal is a program to generate
an \'aclocal.m4\' based on the contents of 'configure.in'. It is useful
as an extensible, maintainable mechanism for augmenting autoconf.


%prep
%setup -q -n %{pkg}-%{version}

# Change calls to autoconf-%{acv}
perl -pi -e "s,\'autoconf\',\'autoconf-%{acv}\',g" %{pkg}.in
perl -pi -e "s,\'autom4te\',\'autom4te-%{acv}\',g; \
	     s,\'aclocal\',\'aclocal-%{maj}.%{min}\',g;" aclocal.in


%build
export AUTOCONF="autoconf-%{acv}"
./configure \
        --prefix=/usr             \
        --sysconfdir=/etc         \
        --localstatedir=/var      \
	--infodir=/usr/share/info \
        --mandir=/usr/share/man
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/bin/{aclocal,automake}
rm -rf $RPM_BUILD_ROOT/usr/share/info
gzip doc/*.info*


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README
%doc THANKS TODO doc/*.info*
/usr/bin/*
%dir /usr/share/aclocal-%{maj}.%{min}
/usr/share/aclocal-%{maj}.%{min}/*
%dir /usr/share/%{pkg}-%{maj}.%{min}
/usr/share/%{pkg}-%{maj}.%{min}/*


%changelog
* Mon Nov 08 2004 peter.pramberger@member.fsf.org
- created

